Package com.salesforce.datacloud.jdbc.core

## Class ExecuteQueryResponseChannel

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.ExecuteQueryResponseChannel

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Channel`, `ReadableByteChannel`

    public class ExecuteQueryResponseChannel
    extends Object
    implements ReadableByteChannel

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isOpen()`
`static ExecuteQueryResponseChannel` `of​(Stream<QueryResult> stream)`
`int` `read​(ByteBuffer destination)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### of

    public static ExecuteQueryResponseChannel of​(Stream<QueryResult> stream)

#### read

    public int read​(ByteBuffer destination)

Specified by:
  `read` in interface `ReadableByteChannel`

#### isOpen

    public boolean isOpen()

Specified by:
  `isOpen` in interface `Channel`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Channel`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`